Open Lighting Architecture: ola::web::JsonNumber Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::JsonNumber Class Referenceabstract
JSON

## Detailed Description

JsonNumber is the base class for various integer / number classes.

This allows inequality comparisons between values that represent numbers.

Inheritance diagram for ola::web::JsonNumber:

## Public Member Functions
virtual bool | MultipleOf (const JsonNumber &other) const =0
| Checks if the remainder if non-0;.
virtual bool | operator< (const JsonNumber &other) const =0
| Less than operator.
bool | operator<= (const JsonNumber &other) const
| Less than or equals operator.
bool | operator> (const JsonNumber &other) const
| Greater than operator.
bool | operator>= (const JsonNumber &other) const
| Greater than or equals operator.
Public Member Functions inherited from ola::web::JsonValue
virtual JsonValue * | LookupElement (const JsonPointer &pointer)
| Locate the JsonValue referred to by the JSON Pointer.
virtual bool | operator== (const JsonValue &other) const =0
| Equality operator.
virtual bool | operator!= (const JsonValue &other) const
| Not-equals operator.
virtual void | Accept (JsonValueVisitorInterface *visitor)=0
| The Accept method for the visitor pattern.
virtual void | Accept (JsonValueConstVisitorInterface *visitor) const =0
| The Accept (const) method for the visitor pattern.
virtual JsonValue * | Clone () const =0
| Make a copy of this JsonValue.

## Member Function Documentation

## ◆ MultipleOf()

virtual bool ola::web::JsonNumber::MultipleOf | ( | const JsonNumber & | other | ) | const
| pure virtual

Checks if the remainder if non-0;.

Implemented in ola::web::JsonDouble, ola::web::JsonInt64, ola::web::JsonInt, ola::web::JsonUInt64, and ola::web::JsonUInt.

## ◆ operator<()

virtual bool ola::web::JsonNumber::operator< | ( | const JsonNumber & | other | ) | const
| pure virtual

Less than operator.

Implemented in ola::web::JsonDouble, ola::web::JsonInt64, ola::web::JsonInt, ola::web::JsonUInt64, and ola::web::JsonUInt.

The documentation for this class was generated from the following file:

- include/ola/web/Json.h